libzypp: zypp::target::RpmInstallPackageReceiver Class Reference

libzypp 17.38.14

zypp::target::RpmInstallPackageReceiver Class Reference

`#include <zypp/target/TargetCallbackReceiver.h>`

Inheritance diagram for zypp::target::RpmInstallPackageReceiver:

## Public Member Functions
| RpmInstallPackageReceiver (Resolvable::constPtr res)
virtual | ~RpmInstallPackageReceiver ()
void | reportbegin () override
void | reportend () override
void | report (const UserData &userData_r) override
| Forwards generic reports.
void | start (const Pathname &name) override
| Start the operation.
void | tryLevel (target::rpm::InstallResolvableReport::RpmLevel level_r)
bool | aborted () const
bool | progress (unsigned percent) override
| Inform about progress Return true on abort.
rpm::RpmInstallReport::Action | problem (Exception &excpt_r) override
| inform user about a problem
void | finishInfo (const std::string &info_r) override
| Additional rpm output to be reported in finish in case of success.
void | finish () override
| Finish operation in case of success.
void | finish (Exception &excpt_r) override
| Finish operation in case of fail, report fail exception.
Public Member Functions inherited from zypp::callback::ReceiveReport< rpm::RpmInstallReport >
virtual | ~ReceiveReport ()
ReceiveReport * | whoIsConnected () const
bool | connected () const
void | connect ()
void | disconnect ()

## Private Attributes
callback::SendReport< rpm::InstallResolvableReport > | _report
Resolvable::constPtr | _resolvable
target::rpm::InstallResolvableReport::RpmLevel | _level
bool | _abort
std::string | _finishInfo

## Additional Inherited Members
Public Types inherited from zypp::callback::ReceiveReport< rpm::RpmInstallReport >
typedef rpm::RpmInstallReport | ReportType
typedef ReceiveReport< rpm::RpmInstallReport > | Receiver
typedef DistributeReport< rpm::RpmInstallReport > | Distributor

## Detailed Description

Definition at line 25 of file TargetCallbackReceiver.h.

## Constructor & Destructor Documentation

## ◆ RpmInstallPackageReceiver()

zypp::target::RpmInstallPackageReceiver::RpmInstallPackageReceiver | ( | Resolvable::constPtr | res | ) |

Definition at line 26 of file TargetCallbackReceiver.cc.

## ◆ ~RpmInstallPackageReceiver()

zypp::target::RpmInstallPackageReceiver::~RpmInstallPackageReceiver | ( |  | ) |
| virtual

Definition at line 34 of file TargetCallbackReceiver.cc.

## Member Function Documentation

## ◆ reportbegin()

void zypp::target::RpmInstallPackageReceiver::reportbegin | ( |  | ) |
| overridevirtual

Reimplemented from zypp::callback::ReceiveReport< rpm::RpmInstallReport >.

Definition at line 38 of file TargetCallbackReceiver.cc.

## ◆ reportend()

void zypp::target::RpmInstallPackageReceiver::reportend | ( |  | ) |
| overridevirtual

Reimplemented from zypp::callback::ReceiveReport< rpm::RpmInstallReport >.

Definition at line 42 of file TargetCallbackReceiver.cc.

## ◆ report()

void zypp::target::RpmInstallPackageReceiver::report | ( | const UserData & | userData_r | ) |
| override

Forwards generic reports.

Definition at line 46 of file TargetCallbackReceiver.cc.

## ◆ start()

void zypp::target::RpmInstallPackageReceiver::start | ( | const Pathname & | name | ) |
| override

Start the operation.

Definition at line 54 of file TargetCallbackReceiver.cc.

## ◆ tryLevel()

void zypp::target::RpmInstallPackageReceiver::tryLevel | ( | target::rpm::InstallResolvableReport::RpmLevel | level_r | ) |

Definition at line 110 of file TargetCallbackReceiver.cc.

## ◆ aborted()

bool zypp::target::RpmInstallPackageReceiver::aborted | ( |  | ) | const
| inline

Definition at line 51 of file TargetCallbackReceiver.h.

## ◆ progress()

bool zypp::target::RpmInstallPackageReceiver::progress | ( | unsigned | percent | ) |
| override

Inform about progress Return true on abort.

Definition at line 64 of file TargetCallbackReceiver.cc.

## ◆ problem()

rpm::RpmInstallReport::Action zypp::target::RpmInstallPackageReceiver::problem | ( | Exception & | excpt_r | ) |
| override

inform user about a problem

Definition at line 71 of file TargetCallbackReceiver.cc.

## ◆ finishInfo()

void zypp::target::RpmInstallPackageReceiver::finishInfo | ( | const std::string & | info_r | ) |
| override

Additional rpm output to be reported in finish in case of success.

Definition at line 93 of file TargetCallbackReceiver.cc.

## ◆ finish() [1/2]

void zypp::target::RpmInstallPackageReceiver::finish | ( |  | ) |
| override

Finish operation in case of success.

Definition at line 99 of file TargetCallbackReceiver.cc.

## ◆ finish() [2/2]

void zypp::target::RpmInstallPackageReceiver::finish | ( | Exception & | excpt_r | ) |
| override

Finish operation in case of fail, report fail exception.

Finish operation in case of success.

Definition at line 105 of file TargetCallbackReceiver.cc.

## Member Data Documentation

## ◆ _report

callback::SendReport<rpm::InstallResolvableReport> zypp::target::RpmInstallPackageReceiver::_report
| private

Definition at line 28 of file TargetCallbackReceiver.h.

## ◆ _resolvable

Resolvable::constPtr zypp::target::RpmInstallPackageReceiver::_resolvable
| private

Definition at line 29 of file TargetCallbackReceiver.h.

## ◆ _level

target::rpm::InstallResolvableReport::RpmLevel zypp::target::RpmInstallPackageReceiver::_level
| private

Definition at line 30 of file TargetCallbackReceiver.h.

## ◆ _abort

bool zypp::target::RpmInstallPackageReceiver::_abort
| private

Definition at line 31 of file TargetCallbackReceiver.h.

## ◆ _finishInfo

std::string zypp::target::RpmInstallPackageReceiver::_finishInfo
| private

Definition at line 32 of file TargetCallbackReceiver.h.

The documentation for this class was generated from the following files:

- zypp/target/TargetCallbackReceiver.h
- zypp/target/TargetCallbackReceiver.cc